<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:output method="html"/>

  <!-- Match on the outer tag and create the containing HTML frame -->
  <xsl:template match="tzs">
    <html>
      <head>
        <title>1060 NetKernel Demonstration: Time Service</title>
      </head>
      <body>
        <h1>1060 NetKernel Demonstration</h1>
        <h2><a href=".">Time Service</a></h2>

        <p>The available time zone codes are listed below.</p>
        <table border='1'>
          <xsl:apply-templates/>
        </table>
      </body>
    </html>
  </xsl:template>

  <!-- Match on each tz element and create a HTML table row -->
  <xsl:template match="tz"> 
    <tr>
      <td>
      <xsl:element name="a">
        <xsl:attribute name="href">timezone/<xsl:value-of select="."/></xsl:attribute>  
        <xsl:value-of select="."/>
      </xsl:element>
     </td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
