package org.netkernel.servlet.http.util;

/*
 * SecurityUtils.java
 *
 * Created on 01 November 2003, 09:21
 */

import java.security.*;
import java.util.*;

/**
 *
 * @author  pjr
 */
public class SecurityUtils
{
	
	/** Creates a new instance of SecurityUtils */
	public SecurityUtils()
	{
	}
	
	public static String toHexString(byte[] b)
	{
		String r = "";
		Integer i = new Integer(0);
		for (int j = 0; j < b.length; j++)
		{
			String s = i.toHexString(128 + (int) b[j]);
			if (s.length() == 1)
				s = "0" + s;
			r += s;
		}
		return r.toUpperCase();
	}
	
	public static String GUID()
	{	return GUID(null);
	}
	
	public static String GUID(String aSeed)
	{	Random r=new Random();
		StringBuffer guid=new StringBuffer(Long.toString(r.nextLong()));
		if(aSeed!=null) guid.append(aSeed);
		guid.append(Long.toString(r.nextLong()));
		guid.append(Long.toString(System.currentTimeMillis()));
		guid.append(Long.toString(r.nextLong()));
		MessageDigest md =null;
		try
		{	md	= MessageDigest.getInstance("MD5");
		}
		catch(NoSuchAlgorithmException e) {/*Can't happen*/};
		byte[] b=guid.toString().getBytes();
		md.update(b);
		return toHexString(md.digest());
	}
	
}
